CON
  _clkmode = xtal1 + pll16x
  _xinfreq = 5_000_000
  '-------------
  IRBL_PIN      = 0
  IRL_PIN       = 1
  IRFL_PIN      = 2  
  IRFR_PIN      = 3
  IRR_PIN       = 4
  IRBR_PIN      = 5 
  '-------------
  IR_PULSE_THRESH = 30
  IR_SAMPLING_TIME = 100
  MAX_IR_SENSORS= 6
  '-------------
  IN = 0

  #0, IRBL, IRL, IRFL, IRFR, IRR, IRBR

OBJ
  bs2   : "BS2_Functions"

VAR
  long stackIR[80]
  long ir_detect_ctr_ptr

PUB start(ir_detect_ctr_ptr_) 
  ir_detect_ctr_ptr   := ir_detect_ctr_ptr_

  cognew(ir_detect, @stackIR)

PRI ir_detect | i, diff, ir_state
  bs2.start(0,0)
  repeat i from 0 to MAX_IR_SENSORS - 1
    dira[i] := IN 
  repeat
    repeat i from 0 to MAX_IR_SENSORS - 1
      long[ir_detect_ctr_ptr][i] := bs2.count(i,IR_SAMPLING_TIME)
    
