CON
  _clkmode = xtal1 + pll16x
  _xinfreq = 5_000_000

OBJ
  motor : "motor"
  txt   : "PC_Text"
  num   : "simple_numbers"

VAR
  long wheelR, wheelL 
  long powerR, powerL

PUB main | str_ptr
  txt.start(42)  
  motor.start(@wheelL, @wheelR, @powerL, @powerR)
  motor.set_speed(50, 50)
  repeat
    txt.home
    txt.setcolor(0)
    txt.str(string("WW | "))
    str_ptr := num.decf(wheelL, 3)
    txt.str(str_ptr)
    txt.out(",")
    str_ptr := num.decf(wheelR, 3)
    txt.str(str_ptr)
    txt.cr
    txt.str(string("WW | "))
    str_ptr := num.decf(powerL, 3)
    txt.str(str_ptr)
    txt.out(",")
    str_ptr := num.decf(powerR, 3)
    txt.str(str_ptr)
    txt.cr

