
CON

  _clkmode = xtal1 + pll16x
  _xinfreq = 5_000_000
  RLED_PIN      = 27
  YLED_PIN      = 25

  PING_L_PIN    = 10
  PING_M_PIN    = 9
  PING_R_PIN    = 11

VAR

  long  range
    
OBJ

  txt  : "PC_Text"
  ping : "ping"
  clk  : "clock"
  
PUB Start | pin

  clk.init(_xinfreq)
  txt.start(42)  
  txt.home
  txt.str(string("ping_test",13))
  clk.pausemsec(200)
  dira[RLED_PIN]~~
  outa[RLED_PIN] := 0

  {
  repeat
    range := ping.inches(11)
    waitcnt(cnt + 40_000_000)                        
    outa[RLED_PIN] := 1
  }


  repeat                                                ' Repeat Forever
    txt.home
    repeat pin from 9 to 11
      range := ping.centimeters(pin)
      txt.dec(range)
      txt.str(string("     "))
      txt.cr
      ' bar(range)
      clk.pausemsec(30)
      
PUB bar(x) | units
  units := x/8
  repeat units
    txt.out($0E)
  repeat 40 - units
    txt.out(" ")
  txt.cr
