''Demonstration of PWM version of NCO/PWM counter mode
CON
  _clkmode = xtal1 + pll16x
  _xinfreq = 5_000_000             ' CHECK THIS!!!
  
  max_duty = 60

  RLED_PIN = 27

  EN34_PIN = 21
  IN4_PIN = 20
  IN3_PIN = 19
  EN12_PIN = 18 ' beware of cables
  IN2_PIN = 17
  IN1_PIN = 16
  
  IN = 0
  OUT = 1

   
VAR long parameter


OBJ
  pwm1  :  "pwmasm"
  pwm2  :  "pwmasm"
  clk: "Clock"

PUB go | x
  clk.Init(_XINFREQ)
  dira[RLED_PIN] := OUT
  outa[RLED_PIN] := 1
  
  'outa[GLED_PIN] := outa[RLED_PIN] := 1
  dira[IN1_PIN] := dira[IN2_PIN] := dira[IN3_PIN] := dira[IN4_PIN] := OUT
  'dira[EN12_PIN] := dira[EN34_PIN] := OUT
  'outa[EN12_PIN] := outa[EN34_PIN] := 1
  pwm1.start(EN12_PIN)
  pwm2.start(EN34_PIN)
  pwm1.SetPeriod(30000) 
  pwm2.SetPeriod(30000)
  outa[IN1_PIN] := 1        
  outa[IN2_PIN] := 0
  outa[IN3_PIN] := 0
  outa[IN4_PIN] := 1  
  '
  !outa[RLED_PIN]
  repeat x from 0 to max_duty 'linearly advance parameter from 0 to 100
    pwm1.SetDuty(x)
    pwm2.SetDuty(x)
    clk.PauseMSec(50)
  clk.PauseSec(10)
   
